GDB (xrefs)

Public Attributes | List of all members
sh64_frame_cache Struct Reference

## Public Attributes
CORE_ADDR | base
LONGEST | sp_offset
CORE_ADDR | pc
int | uses_fp
int | media_mode
CORE_ADDR | saved_regs [SIM_SH64_NR_REGS]
CORE_ADDR | saved_sp

## Detailed Description

Definition at line 80 of file sh64-tdep.c.

## Member Data Documentation

## ◆ base

CORE_ADDR sh64_frame_cache::base

Definition at line 83 of file sh64-tdep.c.

Referenced by sh64_alloc_frame_cache(), sh64_frame_base_address(), sh64_frame_cache(), and sh64_frame_this_id().

## ◆ media_mode

int sh64_frame_cache::media_mode

Definition at line 90 of file sh64-tdep.c.

Referenced by sh64_analyze_prologue(), and sh64_frame_cache().

## ◆ pc

CORE_ADDR sh64_frame_cache::pc

Definition at line 85 of file sh64-tdep.c.

Referenced by sh64_alloc_frame_cache(), sh64_frame_cache(), and sh64_frame_this_id().

## ◆ saved_regs

CORE_ADDR sh64_frame_cache::saved_regs[SIM_SH64_NR_REGS]

Definition at line 93 of file sh64-tdep.c.

Referenced by sh64_alloc_frame_cache(), sh64_analyze_prologue(), sh64_frame_cache(), and sh64_frame_prev_register().

## ◆ saved_sp

CORE_ADDR sh64_frame_cache::saved_sp

Definition at line 94 of file sh64-tdep.c.

Referenced by sh64_alloc_frame_cache(), sh64_frame_cache(), sh64_frame_prev_register(), and sh64_frame_this_id().

## ◆ sp_offset

LONGEST sh64_frame_cache::sp_offset

Definition at line 84 of file sh64-tdep.c.

Referenced by sh64_alloc_frame_cache(), sh64_analyze_prologue(), and sh64_frame_cache().

## ◆ uses_fp

int sh64_frame_cache::uses_fp

Definition at line 88 of file sh64-tdep.c.

Referenced by sh64_alloc_frame_cache(), sh64_analyze_prologue(), and sh64_frame_cache().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/sh64-tdep.c